Package twisted :: Package manhole :: Package ui :: Module gtk2manhole |
[frames | no frames]

## Module twisted.manhole.ui.gtk2manhole

Manhole client with a GTK v2.x front-end.

Classes
`_Notafile` | Curry to make failure.printTraceback work with the output widget.
`ConsoleInput` |
`ConsoleOutput` |
`ManholeClient` |
`ManholeWindow` |

Exceptions
`OfflineError` |

Variable Summary
`str` | `__version__` = `'1.9'`
`dict` | `tagdefs` = `{'exception': {'foreground': 'red'}, 'command'...`

Variable Details

    ### __version__ Type: `str` Value:
        '1.9'

    ### tagdefs Type: `dict` Value:
        {'command': {'foreground': '#666666'},
         'default': {'family': 'monospace'},
         'exception': {'foreground': 'red'},
         'local': {'foreground': '#008000'},
         'log': {'foreground': '#000080'},
         'result': {'foreground': 'blue'},
         'stderr': {'foreground': '#AA8000'},
         'stdout': {'foreground': 'black'}}

Generated by Epydoc 2.0 on Sat Oct 25 00:54:43 2003 | http://epydoc.sf.net